Package Scientific :: Package Functions :: Module Interpolation :: Class NetCDFInterpolatingFunction

[frames] | no frames]

# Class NetCDFInterpolatingFunction

    InterpolatingFunction --+
                            |
                           NetCDFInterpolatingFunction

Function defined by values on a grid in a netCDF file

A subclass of InterpolatingFunction.

Instance Methods

__init__(self, filename, axesnames, variablename, default=None, period=None) |

Inherited from `InterpolatingFunction`: `__abs__`, `__call__`, `__getattr__`, `__getitem__`, `__getslice__`, `__len__`, `arccos`, `arcsin`, `arctan`, `cos`, `cosh`, `definiteIntegral`, `derivative`, `exp`, `fitPolynomial`, `integral`, `log`, `selectInterval`, `sin`, `sinh`, `sqrt`, `tan`, `tanh`

Method Details

### __init__(self, filename, axesnames, variablename, default=None, period=None)
(Constructor)

Parameters:
  - `filename` (`str`) - the name of the netCDF file
  - `axesnames` (sequence of `str`) - the names of the netCDF variables that contain the axes information
  - `variablename` (`str`) - the name of the netCDF variable that contains the data values
  - `default` (number or `None`) - the value of the function outside the grid. A value of `None` means that the function is undefined outside the grid and that any attempt to evaluate it there raises an exception.
  - `period` (sequence of numbers or `None`) - the period for each of the variables, or `None` for variables in which the function is not periodic.
Overrides: InterpolatingFunction.__init__